package com.molin.study_class.model.param;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.List;

/**
 * @author David
 * @date 2025年06月12日
 * @description:
 */
@Data
public class ProfitParam {
    @JSONField(name = "table")
    private ProfitStatementTable table;

    @JSONField(name = "localYear")
    private String localYear = "";

    @JSONField(name = "fileName")
    private String fileName = "";


    @Data
    public static class ProfitStatementTable {
        @JSONField(name = "taxpayerId")
        private String taxpayerId = "";
        @JSONField(name = "taxpayerName")
        private String taxpayerName = "";
        @JSONField(name = "periodStart")
        private String periodStart = "";
        @JSONField(name = "periodEnd")
        private String periodEnd = "";
        @JSONField(name = "rows")
        private List<ProfitRow> rows;

    }

    @Data
    public static class ProfitRow {
        @JSONField(name = "item")
        @ExcelProperty("项目")
        private String item = "";

        @JSONField(name = "rowNum")
        @ExcelProperty("行次")
        private String rowNum = "";

        @JSONField(name = "currentYearAmount")
        @ExcelProperty("本年累计金额")
        private String currentYearAmount = "";

        @JSONField(name = "previousYearAmount")
        @ExcelProperty("上年金额")
        private String previousYearAmount = "";

    }
}